<template>
  <nuxt-link :to="getlink" class="post-preview">
    <img :src="post.img" :alt="post.title" />
    <div class="post-content">
      <h3 class="title">{{ post.title }}</h3>
      <h3 class="title">{{ post.descr }}</h3>
    </div>
  </nuxt-link>
</template>

<script>
export default {
  props: {
    post: {
      type: Object,
      required: true,
    },
    admin: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    getlink() {
      return (this.admin ? "/admin/" : "/blog/") + this.post.id;
    },
  },
};
</script>

<style lang="scss">
.post-preview {
  width: 33%;
  padding: 16px;
  margin-bottom: 20px;
  text-align: center;
  img {
    margin-bottom: 16px;
    width: 100%;
  }
  .post-content {
    p {
      color: #999;
    }
  }
}
</style>